<?php
class FilecacheTest extends PHPUnit_Framework_TestCase
{
    public function setUp()
    {
        parent::setUp(); // TODO: Change the autogenerated stub
        \Badtomcat\Filesystem\Filesystem::createDir(__DIR__."/cache");
    }

    public function tearDown()
    {
        parent::tearDown(); // TODO: Change the autogenerated stub
        \Badtomcat\Filesystem\Filesystem::delDir(__DIR__."/cache");
    }

    public function testFile()
    {

    	$cache = new Badtomcat\Cache\FileCache(__DIR__."/cache");
    	$cache->set('key', 'taw');
    	$this->assertEquals($cache->get('key'), 'taw');
    	$cache->set('balabala', 'balabala',1);
    	$this->assertEquals($cache->get('balabala'), 'balabala');
    	sleep(2);
    	//     	print $cache->get('balabala');
    	$this->assertEquals($cache->get('balabala'), null);
    	$cache->flush();
    }
    public function testFileArr()
    {

        $cache = new Badtomcat\Cache\FileCache(__DIR__."/cache");
    	$data = [
    			'k1' => '123',
    			'ba' => 'balabala',
    			'arr' => [2,54]
    	];
    	$cache->set('key', $data);
    	//var_dump($cache->get('key'));
        $cache->flush();
    }
    public function testNonexist()
    {
        $cache = new Badtomcat\Cache\FileCache(__DIR__."/cache");
    	$cache->set('false', false);
    	$this->assertNotTrue($cache->get('false'));
    	$this->assertNotTrue($cache->get('gogo'));
        $cache->flush();
    }
}


